import request from '@/utils/request'

// 查询入库通知单明细列表
export function listTrkWareNoticeTab(query) {
  return request({
    url: '/system/trkWareNoticeTab/list',
    method: 'get',
    params: query
  })
}

// 查询入库通知单明细详细
export function getTrkWareNoticeTab(id) {
  return request({
    url: '/system/trkWareNoticeTab/' + id,
    method: 'get'
  })
}

// 新增入库通知单明细
export function addTrkWareNoticeTab(data) {
  return request({
    url: '/system/trkWareNoticeTab',
    method: 'post',
    data: data
  })
}

// 修改入库通知单明细
export function updateTrkWareNoticeTab(data) {
  return request({
    url: '/system/trkWareNoticeTab',
    method: 'put',
    data: data
  })
}

// 删除入库通知单明细
export function delTrkWareNoticeTab(id) {
  return request({
    url: '/system/trkWareNoticeTab/' + id,
    method: 'delete'
  })
}
// 启用
export function enabled(id) {
  return request({
    url: '/system/trkWareNoticeTab/enable/' + id,
    method: 'delete'
  })
}

// 禁用
export function disabled(id) {
  return request({
    url: '/system/trkWareNoticeTab/disable/' + id,
    method: 'delete'
  })
}

// 状态修改
export function changeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/trkWareNoticeTab/changeStatus',
    method: 'put',
    data: data
  })
}